/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.kaki.client.gui;


import java.awt.BorderLayout;
import java.math.BigDecimal;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.application.client.eof.EOLolfNomenclatureDepense;
import org.cocktail.application.client.eof.EOOrgan;
import org.cocktail.application.client.swing.TableSorter;
import org.cocktail.application.client.swing.ZEOTable;
import org.cocktail.application.client.swing.ZEOTableCellRenderer;
import org.cocktail.application.client.swing.ZEOTableModel;
import org.cocktail.application.client.swing.ZEOTableModelColumn;
import org.cocktail.application.common.utilities.CocktailFormats;
import org.cocktail.kaki.client.metier.EOCodeAnalytique;
import org.cocktail.kaki.client.metier.EOConvention;
import org.cocktail.kaki.client.metier.EOEngage;
import org.cocktail.kaki.client.metier.EOPafLiquidations;
import org.cocktail.kaki.client.metier.EOPlanComptableExer;
import org.cocktail.kaki.common.KakiConstantes;
import org.cocktail.kaki.common.KakiIcones;

import com.webobjects.eointerface.EODisplayGroup;

/**
 *
 * @author  cpinsard
 */
public class LiquidationsView extends javax.swing.JPanel {

	/**
	 * 
	 */
	private static final long serialVersionUID = 2602329449148332459L;
	ZEOTableCellRenderer myRenderer;
	protected EODisplayGroup eod;
	protected ZEOTable myEOTable;
	protected ZEOTableModel myTableModel;
	protected TableSorter myTableSorter;
	private boolean useSifac;

    /** Creates new form TemplateJPanel */
    public LiquidationsView(EODisplayGroup displayGroup, ZEOTableCellRenderer renderer, boolean useSifac) {

        eod = displayGroup;

        myRenderer = renderer;
        setUseSifac(useSifac);

        initComponents();
        initGui();
        
    }
    public boolean isUseSifac() {
		return useSifac;
	}

	public void setUseSifac(boolean useSifac) {
		this.useSifac = useSifac;
	}
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        tfTotal = new javax.swing.JTextField();
        jLabel2 = new javax.swing.JLabel();
        viewTable = new javax.swing.JPanel();
        buttonPreparer = new javax.swing.JButton();
        buttonControler = new javax.swing.JButton();
        buttonImprimer = new javax.swing.JButton();
        buttonExporter = new javax.swing.JButton();
        buttonLiquider = new javax.swing.JButton();
        buttonDelDepenses = new javax.swing.JButton();
        lblInfoPreparation = new javax.swing.JLabel();
        tfCountRows = new javax.swing.JTextField();
        lblFiltreCr = new javax.swing.JLabel();
        tfFiltreCr = new javax.swing.JTextField();
        lblFiltreSousCr = new javax.swing.JLabel();
        tfFiltreSousCr = new javax.swing.JTextField();
        jLabel6 = new javax.swing.JLabel();
        tfFiltreAction = new javax.swing.JTextField();
        jLabel7 = new javax.swing.JLabel();
        tfFiltreCanal = new javax.swing.JTextField();
        jLabel8 = new javax.swing.JLabel();
        tfFiltreConv = new javax.swing.JTextField();
        jLabel9 = new javax.swing.JLabel();
        tfFiltreCompte = new javax.swing.JTextField();
        jLabel10 = new javax.swing.JLabel();
        tfFiltreEtat = new javax.swing.JTextField();
        btnRechercher = new javax.swing.JButton();

        tfTotal.setEditable(false);
        tfTotal.setHorizontalAlignment(javax.swing.JTextField.RIGHT);

        jLabel2.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel2.setText("Total");

        viewTable.setLayout(new java.awt.BorderLayout());

        buttonPreparer.setText("Préparer");
        buttonPreparer.setToolTipText("Préparation globale des liquidations");
        buttonPreparer.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                buttonPreparerActionPerformed(evt);
            }
        });

        buttonControler.setText("Contrôler");
        buttonControler.setToolTipText("Contrôle des liquidations / Génération des engagements");
        buttonControler.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                buttonControlerActionPerformed(evt);
            }
        });

        buttonImprimer.setContentAreaFilled(false);

        buttonExporter.setContentAreaFilled(false);

        buttonLiquider.setText("Liquider");
        buttonLiquider.setToolTipText("Liquidation de la paye pour une UB sélectionnée");
        buttonLiquider.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                buttonLiquiderActionPerformed(evt);
            }
        });

        buttonDelDepenses.setToolTipText("Suppression des liquidations de l'UB sélectionnée");
        buttonDelDepenses.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                buttonDelDepensesActionPerformed(evt);
            }
        });

        lblInfoPreparation.setFont(new java.awt.Font("Tahoma", 0, 12));
        lblInfoPreparation.setForeground(new java.awt.Color(0, 102, 255));
        lblInfoPreparation.setText("jLabel9");

        tfCountRows.setEditable(false);
        tfCountRows.setFont(new java.awt.Font("Tahoma", 0, 12));
        tfCountRows.setForeground(new java.awt.Color(0, 102, 255));
        tfCountRows.setHorizontalAlignment(javax.swing.JTextField.RIGHT);
        tfCountRows.setBorder(null);
        tfCountRows.setFocusable(false);

        lblFiltreCr.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        lblFiltreCr.setText(" CR ?");

        tfFiltreCr.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        lblFiltreSousCr.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        lblFiltreSousCr.setText("Sous CR ?");

        tfFiltreSousCr.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        jLabel6.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel6.setText("Action ?");

        tfFiltreAction.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        jLabel7.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel7.setText("Canal ?");

        tfFiltreCanal.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        jLabel8.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel8.setText("Conv ?");

        tfFiltreConv.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        jLabel9.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel9.setText("Compte ?");

        tfFiltreCompte.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        jLabel10.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel10.setText("Etat ?");

        tfFiltreEtat.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        btnRechercher.setText("Rechercher");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(viewTable, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 908, Short.MAX_VALUE)
                    .add(layout.createSequentialGroup()
                        .add(buttonPreparer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 149, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(buttonControler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 151, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(buttonLiquider, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 150, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(buttonDelDepenses, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 48, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 96, Short.MAX_VALUE)
                        .add(buttonImprimer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 40, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(buttonExporter, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 40, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jLabel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 49, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfTotal, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 153, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createSequentialGroup()
                        .add(lblInfoPreparation, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 347, Short.MAX_VALUE)
                        .add(452, 452, 452)
                        .add(tfCountRows, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 109, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createSequentialGroup()
                        .add(lblFiltreCr, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 44, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfFiltreCr, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 50, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(lblFiltreSousCr, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 58, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfFiltreSousCr, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 50, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jLabel6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 46, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfFiltreAction, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 50, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jLabel7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 47, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfFiltreCanal, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 50, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jLabel8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 41, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfFiltreConv, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 50, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(jLabel9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 55, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfFiltreCompte, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 36, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jLabel10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 49, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfFiltreEtat, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 50, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 53, Short.MAX_VALUE)
                        .add(btnRechercher, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 121, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(lblFiltreCr)
                    .add(btnRechercher)
                    .add(jLabel8)
                    .add(lblFiltreSousCr)
                    .add(tfFiltreSousCr, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel6)
                    .add(tfFiltreAction, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel7)
                    .add(tfFiltreCanal, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(tfFiltreConv, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel9)
                    .add(tfFiltreCompte, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel10)
                    .add(tfFiltreEtat, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(tfFiltreCr, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(7, 7, 7)
                .add(viewTable, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 353, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(lblInfoPreparation)
                    .add(tfCountRows, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(4, 4, 4)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(buttonPreparer)
                    .add(tfTotal, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel2)
                    .add(buttonExporter, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(buttonImprimer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(buttonControler)
                    .add(buttonLiquider)
                    .add(buttonDelDepenses, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(21, 21, 21))
        );
    }// </editor-fold>//GEN-END:initComponents

private void buttonPreparerActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buttonPreparerActionPerformed
// TODO add your handling code here:
}//GEN-LAST:event_buttonPreparerActionPerformed

private void buttonControlerActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buttonControlerActionPerformed
// TODO add your handling code here:
}//GEN-LAST:event_buttonControlerActionPerformed

private void buttonLiquiderActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buttonLiquiderActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_buttonLiquiderActionPerformed

private void buttonDelDepensesActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buttonDelDepensesActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_buttonDelDepensesActionPerformed


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnRechercher;
    protected javax.swing.JButton buttonControler;
    protected javax.swing.JButton buttonDelDepenses;
    private javax.swing.JButton buttonExporter;
    private javax.swing.JButton buttonImprimer;
    protected javax.swing.JButton buttonLiquider;
    protected javax.swing.JButton buttonPreparer;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JLabel lblFiltreCr;
    private javax.swing.JLabel lblFiltreSousCr;
    private javax.swing.JLabel lblInfoPreparation;
    private javax.swing.JTextField tfCountRows;
    private javax.swing.JTextField tfFiltreAction;
    private javax.swing.JTextField tfFiltreCanal;
    private javax.swing.JTextField tfFiltreCompte;
    private javax.swing.JTextField tfFiltreConv;
    private javax.swing.JTextField tfFiltreCr;
    private javax.swing.JTextField tfFiltreEtat;
    private javax.swing.JTextField tfFiltreSousCr;
    private javax.swing.JTextField tfTotal;
    protected javax.swing.JPanel viewTable;
    // End of variables declaration//GEN-END:variables

    
    
    
    /**
     * 
     */
    private void initGui() {
    	    	
    	buttonExporter.setIcon(KakiIcones.ICON_EXCEL_22);
    	buttonImprimer.setIcon(KakiIcones.ICON_PRINTER_22);

    	buttonPreparer.setIcon(KakiIcones.ICON_PARAMS_16);
    	buttonDelDepenses.setIcon(KakiIcones.ICON_WIZARD_22);
    	btnRechercher.setIcon(KakiIcones.ICON_LOUPE_16);

    	buttonLiquider.setText("Liquider UB");
    	buttonLiquider.setToolTipText("Actif seulement si une UB est sélectionnée");
    	
		Vector<ZEOTableModelColumn> myCols = new Vector<ZEOTableModelColumn>();

     	ZEOTableModelColumn	col = new ZEOTableModelColumn(eod, EOPafLiquidations.GES_CODE_KEY, (isUseSifac())?"C.F.":"UB", 50);
    	col.setAlignment(SwingConstants.LEFT);
		col.setTableCellRenderer(myRenderer);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOPafLiquidations.TO_ORGAN_KEY+"."+EOOrgan.ORG_CR_KEY, (isUseSifac())?"C.C.":"CR", 50);
    	col.setAlignment(SwingConstants.LEFT);
		col.setTableCellRenderer(myRenderer);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOPafLiquidations.TO_ORGAN_KEY+"."+EOOrgan.ORG_SOUSCR_KEY, (isUseSifac())?"EOTP":"SOUS CR", 50);
    	col.setAlignment(SwingConstants.LEFT);
		col.setTableCellRenderer(myRenderer);
    	myCols.add(col);
//    	col = new ZEOTableModelColumn(eod, EOTypeCredit.TCD_CODE_COLKEY, "TCD", 30);
//    	col.setAlignment(SwingConstants.LEFT);
//		col.setTableCellRenderer(myRenderer);
//    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOPafLiquidations.LOLF_KEY+"."+EOLolfNomenclatureDepense.LOLF_CODE_KEY, "LOLF", 50);
    	col.setAlignment(SwingConstants.LEFT);
		col.setTableCellRenderer(myRenderer);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOPafLiquidations.CANAL_KEY+"."+EOCodeAnalytique.CAN_CODE_KEY, "CANAL", 50);
    	col.setAlignment(SwingConstants.LEFT);
		col.setTableCellRenderer(myRenderer);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOPafLiquidations.TO_CONVENTION_KEY+"."+EOConvention.CON_INDEX_KEY, "CONV", 50);
    	col.setAlignment(SwingConstants.LEFT);
		col.setTableCellRenderer(myRenderer);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOPafLiquidations.TO_ENGAGE_KEY+"."+EOEngage.ENG_NUMERO_KEY, "ENG", 50);
    	col.setAlignment(SwingConstants.RIGHT);
		col.setTableCellRenderer(myRenderer);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOPafLiquidations.PLAN_COMPTABLE_KEY+"."+EOPlanComptableExer.PCO_NUM_KEY, "COMPTE", 50);
    	col.setAlignment(SwingConstants.LEFT);
		col.setTableCellRenderer(myRenderer);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOPafLiquidations.PLAN_COMPTABLE_KEY+"."+EOPlanComptableExer.PCO_LIBELLE_KEY, "LIBELLE", 140);
    	col.setAlignment(SwingConstants.LEFT);
		col.setTableCellRenderer(myRenderer);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOPafLiquidations.LIQ_MONTANT_KEY, "Montant", 60);
    	col.setAlignment(SwingConstants.RIGHT);
		col.setTableCellRenderer(myRenderer);
		col.setFormatDisplay(CocktailFormats.FORMAT_DECIMAL);
		col.setColumnClass(BigDecimal.class);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOPafLiquidations.LIQ_OBSERVATION_KEY, "Observations", 150);
    	col.setAlignment(SwingConstants.LEFT);
		col.setTableCellRenderer(myRenderer);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOPafLiquidations.LIQ_ETAT_KEY, "ETAT", 60);
    	col.setAlignment(SwingConstants.CENTER);
		col.setTableCellRenderer(myRenderer);
    	myCols.add(col);


		myTableModel = new ZEOTableModel(eod, myCols);
		myTableSorter = new TableSorter(myTableModel);

		myEOTable = new ZEOTable(myTableSorter);
		//myEOTable.addListener(myListenerContrat);
		myTableSorter.setTableHeader(myEOTable.getTableHeader());		

		myEOTable.setBackground(KakiConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTable.setSelectionBackground(KakiConstantes.COLOR_SELECTED_ROW);
		myEOTable.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		
		viewTable.setLayout(new BorderLayout());
		viewTable.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTable.removeAll();
		viewTable.add(new JScrollPane(myEOTable), BorderLayout.CENTER);

    
 
    }

	public javax.swing.JTextField getTfTotal() {
		return tfTotal;
	}

	public void setTfTotal(javax.swing.JTextField tfTotal) {
		this.tfTotal = tfTotal;
	}

	public javax.swing.JLabel getLblInfoPreparation() {
		return lblInfoPreparation;
	}

	public void setLblInfoPreparation(javax.swing.JLabel lblInfoPreparation) {
		this.lblInfoPreparation = lblInfoPreparation;
	}

	public javax.swing.JTextField getTfCountRows() {
		return tfCountRows;
	}

	public void setTfCountRows(javax.swing.JTextField tfCountRows) {
		this.tfCountRows = tfCountRows;
	}

	public ZEOTable getMyEOTable() {
		return myEOTable;
	}

	public void setMyEOTable(ZEOTable myEOTable) {
		this.myEOTable = myEOTable;
	}

	public javax.swing.JButton getBtnRechercher() {
		return btnRechercher;
	}

	public void setBtnRechercher(javax.swing.JButton btnRechercher) {
		this.btnRechercher = btnRechercher;
	}

	public javax.swing.JButton getButtonControler() {
		return buttonControler;
	}

	public void setButtonControler(javax.swing.JButton buttonControler) {
		this.buttonControler = buttonControler;
	}

	public javax.swing.JButton getButtonDelDepenses() {
		return buttonDelDepenses;
	}

	public void setButtonDelDepenses(javax.swing.JButton buttonDelDepenses) {
		this.buttonDelDepenses = buttonDelDepenses;
	}

	public javax.swing.JButton getButtonExporter() {
		return buttonExporter;
	}

	public void setButtonExporter(javax.swing.JButton buttonExporter) {
		this.buttonExporter = buttonExporter;
	}

	public javax.swing.JButton getButtonImprimer() {
		return buttonImprimer;
	}

	public void setButtonImprimer(javax.swing.JButton buttonImprimer) {
		this.buttonImprimer = buttonImprimer;
	}

	public javax.swing.JButton getButtonLiquider() {
		return buttonLiquider;
	}

	public void setButtonLiquider(javax.swing.JButton buttonLiquider) {
		this.buttonLiquider = buttonLiquider;
	}

	public javax.swing.JButton getButtonPreparer() {
		return buttonPreparer;
	}

	public void setButtonPreparer(javax.swing.JButton buttonPreparer) {
		this.buttonPreparer = buttonPreparer;
	}

	public javax.swing.JTextField getTfFiltreAction() {
		return tfFiltreAction;
	}

	public void setTfFiltreAction(javax.swing.JTextField tfFiltreAction) {
		this.tfFiltreAction = tfFiltreAction;
	}

	public javax.swing.JTextField getTfFiltreCanal() {
		return tfFiltreCanal;
	}

	public void setTfFiltreCanal(javax.swing.JTextField tfFiltreCanal) {
		this.tfFiltreCanal = tfFiltreCanal;
	}

	public javax.swing.JTextField getTfFiltreCompte() {
		return tfFiltreCompte;
	}

	public void setTfFiltreCompte(javax.swing.JTextField tfFiltreCompte) {
		this.tfFiltreCompte = tfFiltreCompte;
	}

	public javax.swing.JTextField getTfFiltreConv() {
		return tfFiltreConv;
	}

	public void setTfFiltreConv(javax.swing.JTextField tfFiltreConv) {
		this.tfFiltreConv = tfFiltreConv;
	}

	public javax.swing.JTextField getTfFiltreCr() {
		return tfFiltreCr;
	}

	public void setTfFiltreCr(javax.swing.JTextField tfFiltreCr) {
		this.tfFiltreCr = tfFiltreCr;
	}

	public javax.swing.JTextField getTfFiltreEtat() {
		return tfFiltreEtat;
	}

	public void setTfFiltreEtat(javax.swing.JTextField tfFiltreEtat) {
		this.tfFiltreEtat = tfFiltreEtat;
	}

	public javax.swing.JTextField getTfFiltreSousCr() {
		return tfFiltreSousCr;
	}

	public void setTfFiltreSousCr(javax.swing.JTextField tfFiltreSousCr) {
		this.tfFiltreSousCr = tfFiltreSousCr;
	}
	public javax.swing.JLabel getLblFiltreCr() {
		return lblFiltreCr;
	}
	public void setLblFiltreCr(javax.swing.JLabel lblFiltreCr) {
		this.lblFiltreCr = lblFiltreCr;
	}
	public javax.swing.JLabel getLblFiltreSousCr() {
		return lblFiltreSousCr;
	}
	public void setLblFiltreSousCr(javax.swing.JLabel lblFiltreSousCr) {
		this.lblFiltreSousCr = lblFiltreSousCr;
	}
    
}
